<template>
  <!--  TODO: Где используется этот компонент-->
  <div class="pageHeading">
    <div class="pageHeading-item">
      <AppBreadcrumbs/>
    </div>
    <div class="pageHeading-item">
      <div class="pageHeading-basic">
        <slot name="heading"/>
      </div>
      <div class="pageHeading-additional">
        <slot name="additional"/>
      </div>
    </div>
  </div>
</template>

<script>
import AppBreadcrumbs from '~/components/redesign/app-breadcrumbs';

export default {
  name: 'PageHeading',
  components: {
    AppBreadcrumbs,
  },
};
</script>

<style lang="postcss">
  .pageHeading {
    display: flex;
    flex-direction: column;

    &-item {
      display: flex;
      justify-content: space-between;
    }

    &-basic {
      display: block;
    }

    &-additional {
      display: inline-flex;
      align-items: flex-end;
    }

    .breadcrumbs {
      padding-bottom: 1rem;
    }

    .buttonsCallHelper {
      margin-left: 2rem;
    }


    @media screen and (max-width: 980px) {
      &-item {
        flex-direction: column;
      }

      &-additional {
        margin: 0 auto;
        width: 100%;
      }

      .buttonsCallHelper {
        margin-left: 0;
        margin-top: 1rem;
      }
    }
  }

</style>
